Bug 60154 - Option Display of Fields: Hidden Paragraphs changes vertical alignment in tables
Summary: Option Display of Fields: Hidden Paragraphs changes vertical alignment in tables
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-01 12:11 UTC by chrismux2005
Modified: 2015-02-11 19:54 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test file (9.15 KB, application/vnd.oasis.opendocument.text)
2013-02-01 12:11 UTC, chrismux2005
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chrismux2005 2013-02-01 12:11:57 UTC
Created attachment 74039 [details]
Test file

Set the option Tools -> Options -> LibreOffice Writer -> Formating Aids -> Fields: Hidden Paragraph

Open the attached file: Switch between page preview and normal view. Hit enter somewhere in the document.
The text alignment of the word text is changing between bottom and top.

When Tools -> Options -> LibreOffice Writer -> Formating Aids -> Fields: Hidden Paragraph is deactivated the alignment stays in place.
Comment 1 Andrew Pitonyak 2013-02-12 04:29:33 UTC
I see this in 3.6.4.3, but can someone test this in 4.0?

If I click in the field, then the text drops to the bottom.
Comment 2 pasqual milvaques 2013-02-12 10:16:18 UTC
In my case with 4.0 the text has the same behavior independently of what I have in Tools -> Options -> LibreOffice Writer -> Formating Aids -> Fields: Hidden Paragraph

it always goes to the bottom when I click on the document or hit enter
Comment 3 Owen Genat (retired) 2013-11-22 03:34:38 UTC
I think this bug either needs to be RESOLVED as INVALID (because the provided example file does not contain a hidden paragraph) or the entire nature of the bug needs to be changed to reflect what the problem actually is i.e., a rendering issue that has nothing to do with hidden paragraphs. By way of example, here is the XML for a hidden paragraph:

> <text:p text:style-name="P1">
>    <text:hidden-paragraph text:condition="ooow:EQ 1" text:is-hidden="true"/>This paragraph contains a hidden paragraph variable.
> </text:p>

There is no text:hidden-paragraph element in the example of the attachment to the description. I can confirm comment #2 under Ubuntu 10.04 x86_64 running v4.1.3.2 but this is a separate issue.
Comment 4 QA Administrators 2015-01-10 18:06:24 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 5 QA Administrators 2015-02-11 19:49:10 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 6 QA Administrators 2015-02-11 19:54:58 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11